/* Problem URL: https://codeforces.com/gym/101908/problem/B */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int mr;
    cin >> mr;

    const int n = 101;
    const int inf = INT32_MAX >> 1;

    vvi grundy(n, vi(n));

    rep(i, n) {
        grundy[i][i] = 1000;
        grundy[0][i] = 1000;
        grundy[i][0] = 1000;
    }

    auto search = [&](int i, int j) {
        V<bool> exists(1001, false);
        nrep(k, 1, n) {
            if (i - k >= 0) {
                exists[grundy[i - k][j]] = true;
            }

            if (j - k >= 0) {
                exists[grundy[i][j - k]] = true;
            }

            if (i - k >= 0 && j - k >= 0) {
                exists[grundy[i - k][j - k]] = true;
            }
        }

        int mex = 0;
        while (exists[mex]) {
            mex++;
        }

        return mex;
    };

    nrep(i, 1, n) {
        nrep(j, 1, n) {
            if (i == j) {
                continue;
            }
            grundy[i][j] = search(i, j);
        }
    }

    int state = 0;

    while (mr--) {
        int i, j;
        cin >> i >> j;

        state ^= grundy[i][j];
    }

    cout << (state == 0 ? "N\n" : "Y\n");
}
